/*
 * TismTool © Tis Veugen, 2010-2011
 * Application
 *
 * TsmACPort.h
 * version 3
 */
#ifndef TSM_ACPORT_H
#define TSM_ACPORT_H

#include "TsmActivePort.h"
#include "TsmTrigger.h"
#include "TsmEnvelope.h"
using namespace std;

namespace TsmRTE
{
  /**
   * Active Client Port
   */
  class TsmACPort : public TsmActivePort
  {
  public:
    bool Handle( TsmTrigger* oTrigger )
    {
      TsmEnvelope lEnvelope( oTrigger, Target );
      oTrigger->SetDBU();
      mThread->ASyncCall( lEnvelope );
      return false;
    }
  };
}
#endif
