/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmProxy.h
 * version 1
 */
#ifndef TSM_PROXY_H
#define TSM_PROXY_H

#include "TsmProxyUser.h"

namespace TsmRTE
{
  class TsmProxy : public TsmClass
  {
  private:
    TsmProxyUser* mUser;

  public:
    void SetProxyUser( TsmProxyUser* oProxyUser )
    {
      mUser = oProxyUser;
    }

    void SetProxyOk()
    {
      mUser->CbSetProxyOk();
    }

    void SetProxyNok()
    {
      mUser->CbSetProxyNok();
    }

    bool IsTsmProxy()
    {
      return true;
    }
  };
}
#endif
