/*
 * TismTool © Tis Veugen, 2010-2011
 * Application
 *
 * TsmRecorder.h
 * version 2
 */
#ifndef TSM_RECORDER_H
#define TSM_RECORDER_H

#include "Tsm.h"
using namespace std;

namespace TsmRTE
{
  class TsmRecorder
  {
  public:
    static int           NumberOfUnhandledFunctions;
    static int           NumberOfSyncReturnErrors;

    static void UnhandledFunction( string sEvent )
    {
      NumberOfUnhandledFunctions++;
      Show( "**** UNHANDLED FUNCTION : " + sEvent );
    }

    static void SyncReturnError( string sEvent )
    {
      NumberOfSyncReturnErrors++;
      Show( sEvent );
    }

    static void Show( string sEvent )
    {
      Tsm::Log( sEvent );
    }
  };
}
#endif
