/*
 * TismTool © Tis Veugen, 2010-2011
 * Application
 *
 * TsmSupervisor.h
 * version 2
 */
#ifndef TSM_SUPERVISOR_H
#define TSM_SUPERVISOR_H

#include "TsmActivity.h"
#include "TsmThreadType.h"
using namespace std;

namespace TsmRTE
{
  class TsmCbThread;
  class TsmIntQueue;
  class TsmThread;

  class TsmSupervisor
  {
  private:
    static TsmActivity*  mActivity;
    static int           mThreadId;
    static TsmCbThread*  mCbThread;

  public:
    static void Initialise();
    static void Terminate();
    static TsmIntQueue* GetIntQueue();
    static void Announce();
    static void Abandon();
    static int Register( TsmThread* oTsmThread );
    static int Register( TsmThread* oTsmThread, TsmThreadType eType );
    static void Execute();
  };
}
#endif
